class Fire : FXBase
{
	Default
	{
		//$Category Fire

		DamageType "Burn";

		RenderStyle "Translucent";
		Alpha 0.5;

		+NOEXTREMEDEATH
		+FLOORCLIP
		+NODAMAGETHRUST
		+DONTSPLASH
	}

	States
	{
		Spawn:
			TNT1 A 0 NoDelay
			{
				A_Explode(22, 35);
				A_SpawnItemEx("Rise_Smoker", zvel: 1);
			}
			FWAL AB 3 A_SpawnProjectile("MOLShotFireSmoke", 0, angle: Random[FX](0, 360), CMF_AIMDIRECTION, -Random[FX](0, 180));
			FWAL C 0
			{
				A_SpawnProjectile("ExplosionSmoke", 32, 0, Random[FX](0, 360), CMF_AIMDIRECTION, Random[FX](0, 360));
				A_SpawnProjectile("MOLShotFireSmoke", 0, angle: Random[FX](0, 360), CMF_AIMDIRECTION, -Random[FX](0, 180));
			}
			FWAL CDEF 3 A_SpawnProjectile("MOLShotFireSmoke", 0, angle: Random[FX](0, 360), CMF_AIMDIRECTION, -Random[FX](0, 180));
			FWAL G 0
			{
				A_Explode(22, 35);
				A_SpawnProjectile("ExplosionSmoke", 32, 0, Random[FX](0, 360), CMF_AIMDIRECTION, Random[FX](0, 360));
			}
			FWAL GHIJ 3 A_SpawnProjectile("MOLShotFireSmoke", 0, angle: Random[FX](0, 360), CMF_AIMDIRECTION, -Random[FX](0, 180));
			FWAL K 0
			{
				A_Explode(22, 35);
				A_SpawnProjectile("ExplosionSmoke", 32, 0, Random[FX](0, 360), CMF_AIMDIRECTION, Random[FX](0, 360));
			}
			FWAL KLMN 3 A_SpawnProjectile("MOLShotFireSmoke", 0, angle: Random[FX](0, 360), CMF_AIMDIRECTION, -Random[FX](0, 180));
			Loop;
	}
}

class MOLShotFireSmoke : FXBase_Movement
{
	Default
	{
		Speed 1;

		RenderStyle "Add";
		Alpha 0.6;
		
		+FLOORCLIP
		+FORCEXYBILLBOARD
	}
	
	States
	{
		Spawn:
			SMOG AABBCCDDEEFFGGHHIIJJKKLLMMNNOOPPQQRR 1 NoDelay A_FadeOut(0.005);
			Stop;
		}
}

class ExplosionSmoke : FXBase_Movement
{
	Default
	{
		Scale 1.1;
		Speed 2;

		RenderStyle "Translucent";
		Alpha 0.2;

		+MISSILE
		+FORCEXYBILLBOARD
	}

    States
    {
		Spawn:
			SMOK AAAAABBBBBCCCCCDDDDDEEEEEFFFFFGGGGGHHHHHIIIIIJJJJJKKKKK 4 NoDelay A_FadeOut(0.02);
			Stop;
    }
}