class Flare_General : FXBase
{
	Default
	{
		Scale 0.4;
		
		RenderStyle "Add";
		Alpha 0.5;

		+FORCEXYBILLBOARD
	}
}

class RedFlare : Flare_General
{
	States
	{
		Spawn:
			LENR A 2 Bright NoDelay A_Jump(128, 1);
			Stop;
			LENR B 2 Bright;
			Stop;
	}
}

class RedFlareBig : RedFlare
{
	Default
	{
		Scale 0.9;
	}
}

class YellowFlare : Flare_General
{
	States
	{
		Spawn:
			LENY A 2 Bright NoDelay A_Jump(128, 1);
			Stop;
			LENY B 2 Bright;
			Stop;
	}
}

class YellowFlareSmall : YellowFlare
{
	Default
	{
		Scale 0.15;
	}
}

class YellowFlareMedium : YellowFlare
{
	Default
	{
		Scale 0.2;
	}
}

class RedFlareSmall2 : RedFlare
{
	Default
	{
		Scale 0.1;
	}
}

class YellowFlareSmallB : YellowFlare
{
	Default
	{
		Scale 0.15;
		Alpha 0.3;
	}

	States
	{
		Spawn:
			LENY A 1 Bright NoDelay A_Jump(128, 1);
			Stop;
			LENY B 1 Bright;
			Stop;
	}
}