class LargeGlowingMushroom : FXBase_Inanimate
{
	Default
	{
		//$Category Vegetation

		Radius 20;
		Height 16;

		Translation "0:255=%[0,0,0]:[0,1.0,0.5]";
	}

	override void PostBeginPlay()
	{
		super.PostBeginPlay();

		switch (Random[Veg](1, 3))
		{
			case 1:
				SetStateLabel("Shroom1");
				break;
			case 2:
				SetStateLabel("Shroom2");
				break;
			case 3:
				SetStateLabel("Shroom3");
				break;
		}
	}
	
	States
	{
		Spawn:
			MSH1 A 0;
		Shroom1:
			MSH1 A -1 Bright;
			Stop;
		Shroom2:
			MSH2 A -1 Bright;
			Stop;
		Shroom3:
			MSH3 A -1 Bright;
			Stop;
	}
}

class SmallGlowingMushroom : FXBase_Inanimate
{
	Default
	{
		//$Category Vegetation

		Radius 10;
		Height 8;

		Translation "0:255=%[0,0,0]:[0,1.0,0.5]";
	}

	override void PostBeginPlay()
	{
		super.PostBeginPlay();

		switch (Random[Veg](1, 5))
		{
			case 1:
				SetStateLabel("Shroom1");
				break;
			case 2:
				SetStateLabel("Shroom2");
				break;
			case 3:
				SetStateLabel("Shroom3");
				break;
			case 4:
				SetStateLabel("Shroom4");
				break;
			case 5:
				SetStateLabel("Shroom5");
				break;
		}
	}

	States
	{
		Spawn:
			MSH4 A 0;
		Shroom1:
			MSH4 A -1 Bright;
			Stop;
		Shroom2:
			MSH5 A -1 Bright;
			Stop;
		Shroom3:
			MSH6 A -1 Bright;
			Stop;
		Shroom4:
			MSH7 A -1 Bright;
			Stop;
		Shroom5:
			MSH8 A -1 Bright;
			Stop;
	}
}

class Plant01 : FXBase_Inanimate
{
	Default
	{
		//$Category Vegetation
	}

	States
	{
		Spawn:
			PLNT A -1;
			Stop;
	}
}

class Plant02 : Plant01
{
	Default
	{
		//$Category Vegetation
	}

	States
	{
		Spawn:
			PLNT B -1;
			Stop;
	}
}

class Plant03 : Plant01
{
	Default
	{
		//$Category Vegetation
	}

	States
	{
		Spawn:
			PLNT C -1;
			Stop;
	}
}

class Plant04 : Plant01
{
	Default
	{
		//$Category Vegetation
	}

	States
	{
		Spawn:
			PLNT D -1;
			Stop;
	}
}

class Plant05 : Plant01
{
	Default
	{
		//$Category Vegetation
	}

	States
	{
		Spawn:
			PLNT E -1;
			Stop;
	}
}

class Plant06 : Plant01
{
	Default
	{
		//$Category Vegetation
	}

	States
	{
		Spawn:
			PLNT F -1;
			Stop;
	}
}

class LargeMushroom : FXBase_Inanimate
{
	Default
	{
		//$Category Vegetation

		Radius 20;
		Height 16;
	}

	override void PostBeginPlay()
	{
		super.PostBeginPlay();

		switch (Random[Veg](1, 3))
		{
			case 1:
				SetStateLabel("Shroom1");
				break;
			case 2:
				SetStateLabel("Shroom2");
				break;
			case 3:
				SetStateLabel("Shroom3");
				break;
		}
	}
	
	States
	{
		Spawn:
			MSH1 A 0;
		Shroom1:
			MSH1 A -1;
			Stop;
		Shroom2:
			MSH2 A -1;
			Stop;
		Shroom3:
			MSH3 A -1;
			Stop;
	}
}

class SmallMushroom : FXBase_Inanimate
{
	Default
	{
		//$Category Vegetation

		Radius 10;
		Height 8;
	}

	override void PostBeginPlay()
	{
		super.PostBeginPlay();

		switch (Random[Veg](1, 5))
		{
			case 1:
				SetStateLabel("Shroom1");
				break;
			case 2:
				SetStateLabel("Shroom2");
				break;
			case 3:
				SetStateLabel("Shroom3");
				break;
			case 4:
				SetStateLabel("Shroom4");
				break;
			case 5:
				SetStateLabel("Shroom5");
				break;
		}
	}
	
	States
	{
		Spawn:
			MSH4 A 0;
		Shroom1:
			MSH4 A -1;
			Stop;
		Shroom2:
			MSH5 A -1;
			Stop;
		Shroom3:
			MSH6 A -1;
			Stop;
		Shroom4:
			MSH7 A -1;
			Stop;
		Shroom5:
			MSH8 A -1;
			Stop;
	}
}