class ScytheCultist : CCNPC
{
	Default
	{
		Radius 20;
		Height 56;
		Health 70;
		Speed 11;

		MaxTargetRange 768;
		MeleeRange 96;
		
		PainChance 156;

		SeeSound "VSLKART";
		ActiveSound "VSLKART";
		PainSound "VAPAIN";
		DeathSound "VADEATH";

		Obituary "%o was harvested by a Cultist.";
	}
	
	States
	{
		Spawn:
			VILD A 0;
		Idle:
			VILD NO 10 A_Look();
			Loop;
		See:
			VILD AABBCCDD 2 A_Chase();
			Loop;
		Melee:
			VILD E 11 A_FaceTarget();
			VILD F 8
			{
				Vel3DFromAngle(8, angle, pitch);
				A_CustomMeleeAttack(10,"HIT","MISS");
			}
			VILD E 11 A_FaceTarget();
			VILD F 8
			{
				Vel3DFromAngle(8, angle, pitch);
				A_CustomMeleeAttack(10,"HIT","MISS");
			}
			VILD E 11 A_FaceTarget();
			VILD F 8
			{
				Vel3DFromAngle(8, angle, pitch);
				A_CustomMeleeAttack(10,"HIT","MISS");
			}
			Goto See;
		Pain:
			VILD F 3;
			VILD F 3 A_Pain();
			Goto See;
		Pain.Kick:
			VILD F 12;
			VILD F 12 A_Pain();
			Goto See;
		Death:
			VILD H 6;
			VILD I 12 A_Scream();
			VILD J 5 A_NoBlocking();
			VILD KL 5 A_StartSound("BFALL");
			VILD M -1;
			Stop;
		Raise:
			VILD LKJI 5;
			Goto See;
	}
}

class ScytheCultistSilent : ScytheCultist
{
	Default
	{
		
		Speed 12;

		SeeSound "VCACT";
		ActiveSound "VCACT";
		PainSound "VCPAIN";
		DeathSound "VCDEATH";

		
	}
}