

class TemplarChestplate : GreenArmor Replaces GreenArmor
{
 	Default
	{
	    Inventory.PickupMessage "Picked up a Templar's chestplate.";
		Inventory.PickupSound "ARMORTK";
		SCALE 1.1;
	}
	States
	{
		Spawn:
			TAMR A -1;
			stop;
	}
}

class FoodSpawner : RandomSpawner Replaces Stimpack
{
    Default
    {
        DropItem "Bread", 255, 3;
        DropItem "Meaty", 255, 3;
		DropItem "Fruit", 255, 3;
    }
}




class Bread : Stimpack 
{
	Default
	{
		Inventory.PickupSound "Eatstim";
		Inventory.PickupMessage "Ate some Bread.";
		Scale 0.8;
	}
  
	States
	{
		Spawn:
			Food A 20;
			Food A 4 bright;
			loop;
	}
}

class Meaty : Stimpack 
{
	Default
	{
		Inventory.PickupSound "Eatstim";
		Inventory.PickupMessage "Ate some Meat.";
		Scale 0.8;
	}
  
	States
	{
		Spawn:
			Food B 20;
			Food B 4 bright;
			loop;
	}
}

class Fruit : Stimpack 
{
	Default
	{
		Inventory.PickupSound "Eatstim";
		Inventory.PickupMessage "Ate some Fruit.";
		Scale 0.8;
	}
  
	States
	{
		Spawn:
			Food c 20;
			Food c 4 bright;
			loop;
	}
}

class DoctorBag : Medikit Replaces Medikit
{
	Default
	{
		Inventory.PickupMessage "Picked up a doctor's bag.";
		Health.LowMessage 25, "Picked up a life-saving doctor's bag.";

		Inventory.PickupSound "MKIT";
	}

	States
	{
		Spawn:
			MEDI A -1;
			Stop;
	}
}

class ExousianBible : Soulsphere Replaces Soulsphere
{
	Default
	{
		Inventory.PickupSound "holvoc";
		Inventory.PickupMessage "The Exousian Bible heals your soul.";
		Scale 0.8;
	}
  
	States
	{
		Spawn:
			BIBL A -1;
			stop;
	}
}