class ShortSword : TFWeaponBase Replaces Fist
{
	Default
	{
		Damagetype "Slice";
		Weapon.Kickback 500;

		Weapon.SelectionOrder 7;
		
		Weapon.BobStyle "InverseSmooth";
		Weapon.BobSpeed 2.2;
		Weapon.BobRangeY 0.5;
		Weapon.BobRangeX 0.7;

		Inventory.PickupMessage "Acquired a trusty shortsword.";
		Obituary "%o got skewered by %k";

		+NOEXTREMEDEATH
		+WEAPON.WIMPY_WEAPON
		+WEAPON.MELEEWEAPON
	}

	States
	{
		Spawn:
			KNFE A -1;
			Stop;
		Deselect:
			KNFH A 1 A_Lower(18);
			Loop;
		Select:
			KNFH A 1 A_Raise(18);
			Loop;
		Ready:
			KNFH A 1 A_WeaponReady(WRF_ALLOWUSER1);
			Loop;
		Fire:
			KNFH ABCD 1;
			KNFG ABCD 1;
		Slash:
			KNFG E 1
			{
				A_StartSound("KnifeSwing", CHAN_WEAPON);
				A_CustomPunch(15, true, 0, "SwordPuff", 72);
			}
			KNFG FG 1;
			KNFG H 8;
			KNFG FEDCBA 2 A_ReFire();
			KNFH DCBA 1;
			Goto Ready;
		Hold:
			KNFG I 1
			{
				A_StartSound("KnifeSwing", CHAN_WEAPON);
				A_CustomPunch(15, true, 0, "SwordPuff", 72);
			}
			KNFG JK 2;
			KNFG L 8;
			KNFG LL 1 A_ReFire("Slash");
			KNFG FEDCB 2;
			KNFG A 2 A_ReFire("Slash");
			KNFH DCBA 1;
			goto Ready;
	}
}

Class SwordPuff : TFMeleePuff
{
	Default
	{
		DamageType "Slice";
		Species "fren";

		SeeSound "KnifeHitSkin";
		AttackSound "KnifeHitWall";

		RenderStyle "Add";
		Alpha 0.2;

		+PUFFONACTORS
		+NOEXTREMEDEATH
		+BLOODSPLATTER
	}

	States
	{
		Spawn:
			PUFF ABCD 4;
			Stop;
  	}
} 