class BulletClip : Ammo Replaces Clip
{
	Default
	{
		Inventory.Amount 6;
		Inventory.MaxAmount 84;
		Ammo.BackpackAmount 18;
		Ammo.BackpackMaxAmount 84;

		Inventory.PickupMessage "Picked up some bullets";
		Inventory.PickupSound "REVAMMO";

		Tag "$AMMO_CLIP";
	}
	
	States
	{
		Spawn:
			CLIP A -1 Bright;
			Stop;
	}
}

class Bullets : Ammo
{
	Default
	{
		Inventory.Amount 1;
		Inventory.MaxAmount 6;

		Inventory.Icon "CLIPA0";
	}
}

class ShellPack : Ammo Replaces Shell
{
	Default
	{
		Inventory.Amount 4;
		Inventory.MaxAmount 39;
		Ammo.BackpackAmount 10;
		Ammo.BackpackMaxAmount 39;

		Inventory.PickupMessage "Picked up a few trenchgun shells";
		Inventory.PickupSound "SHELPIK";
		Inventory.Icon "SHELA0";
		Scale 0.6;

		Tag "$AMMO_BOX";
	}
	
	States
	{
		Spawn:
			SHEL A -1;
			Stop;
	}
}

class ShellStack : Ammo
{
	Default
	{
		Inventory.Amount 1;
		Inventory.MaxAmount 5;

		Inventory.Icon "SHELA0";
	}
}

class Shotshell : Ammo
{
	Default
	{
		Inventory.Amount 1;
		Inventory.MaxAmount 1;

		Inventory.Icon "SHELA0";
	}
}






