class WaxCandle : FXBase Replaces CandleStick 
{
	Default
	{
		Radius 20;
		Height 14;
		Scale 0.6;
	}
		
	States
	{
		Spawn:
			CND3 A 2;
            CND3 B 2;
            CND3 C 2;
            CND3 D 2;
			Loop;
	}
}

class SkullCandle : WaxCandle
{
	Default
	{
		Radius 4;
		Height 4;
		Scale 0.5;
	}

	States
	{
		Spawn:
			CSD3 ABCD 2;
			Loop;
	}
}

class TorchPole : TFStaticProp
{
	Default
	{
		//$Category LightSource
		
		Radius 4;
		Height 60;
		Scale 0.6;

		+SOLID
	}

	States
	{
		Spawn:
			LPW4 ABCD 4;
			Loop;
	}
}

class CeilingBrazier : TFStaticProp
{
Default
	{
		//$Category LightSource
Radius 20;
Height 82;
+SOLID
+NOGRAVITY
+SPAWNCEILING

}
States
{
Spawn:
	CBRA ABCDEFGH 3 ;
	Loop;
}
}