class PistolCultist : CCNPC
{
	Default
	{
		Radius 20;
		Height 56;
		Health 70;
		Speed 9;
		
		PainChance 200;

		MaxTargetRange 2048;
		
		SeeSound "VSLKART";
		ActiveSound "VSLKART";
		PainSound "VBPAIN";
		DeathSound "VBDEATH";

		Obituary "%o lost a duel to a Cultist.";

		DropItem "Clip";

		+AVOIDMELEE
	}
	
	States
	{
		Spawn:
			VILF A 0;
		Idle:
			VILF NO 10 A_Look();
			Loop;
		See:
			VILF AABBCCDD 3 A_Chase();
			Loop;
		Missile:
			VILF E 5 A_FaceTarget(25, 25);
			VILF F 4 
			{   
				A_FaceTarget(20, 20);
				A_StartSound("REVFIRE");
				A_SpawnItemEx("Muzzleflash1",30,5,30);
		        A_SpawnItemEx("YellowFlareMedium",0,0,40);
	            A_SpawnItemEx("gunSmoke",0,0,40);
				A_CustomBulletAttack(3, 3, 1, 8, flags: CBAF_AIMFACING | CBAF_NORANDOM, spawnheight: 44);
			}
			VILF E 10 A_Jump(96, "See");
			Goto Missile+1;
		Pain:
			VILF H 6;
			VILF H 6 A_Pain();
			Goto See;
		Pain.Kick:
			VILF H 4;
			VILF H 16 A_Pain();
			Goto See;
		Death:
			VILF I 5 A_Scream();
			VILF J 5 A_NoBlocking();
			VILF KL 5 A_StartSound("BFALL");
			VILF M -1;
			Stop;
		Raise:
			VILF LKJ 5;
			Goto See;
	}
}