class PitchforkCultist : CCNPC
{
	Default
	{
		Radius 20;
		Height 56;
		Health 70;
		Speed 12;

		MaxTargetRange 768;
		MeleeRange 96;
		
		PainChance 156;

		SeeSound "VCALERT";
		ActiveSound "VCACT";
		PainSound "VCPAIN";
		DeathSound "VCDEATH";

		Obituary "%o was scarecrowed by a Cultist.";
	}
	
	States
	{
		Spawn:
			VILC A 0;
		Idle:
			VILC NO 10 A_Look();
			Loop;
		See:
			VILC AABBCCDD 2 A_Chase();
			Loop;
		Melee:
			VILC E 12 A_FaceTarget();
			VILC F 10 Vel3DFromAngle(10, angle, pitch);
			VILC G 5 A_CustomMeleeAttack(20,"HIT","MISS");
			VILC FE 2;
			Goto See;
		Pain:
			VILC O 3;
			VILC O 3 A_Pain();
			Goto See;
		Pain.Kick:
			VILC O 12;
			VILC O 12 A_Pain();
			Goto See;
		Death:
			VILC H 6;
			VILC I 12 A_Scream();
			VILC J 5 A_NoBlocking();
			VILC KL 5 A_StartSound("BFALL");
			VILC M -1;
			Stop;
		Raise:
			VILC LKJI 5;
			Goto See;
	}
}