class ShotgunCultist : CCNPC
{
	Default
	{
		Radius 20;
		Height 56;
		Health 100;
		Speed 7;
		
		PainChance 120;

		MaxTargetRange 1536;
		
		SeeSound "VCALERT";
		ActiveSound "VCACT";
		PainSound "VCPAIN";
		DeathSound "VCDEATH";

		Obituary "%o was blasted by a jacked Cultist.";

		DropItem "SHOTGUN";

		+AVOIDMELEE
	}
	
	States
	{
		Spawn:
			VILE A 0;
		Idle:
			VILE NO 10 A_Look();
			Loop;
		See:
			VILE AABBCCDD 3 A_Chase();
			Loop;
		Missile:
			VILE E 6 A_FaceTarget(45, 45);
			VILE F 4 Bright
			{
				A_FaceTarget(30, 30);
				A_StartSound("ATKTRCH");
				A_SpawnItemEx("Muzzleflash1",30,5,30);
		        A_SpawnItemEx("YellowFlareMedium",43,0,34);
	            A_SpawnItemEx("shotgunSmoke",43,0,34);
				A_CustomBulletAttack(7, 7, 8, 4, flags: CBAF_AIMFACING | CBAF_NORANDOM);
			}
			VILE E 15;
			VILE A 10 A_StartSound("GRLLOG");
			Goto See;
		Pain:
			VILE H 6;
			VILE H 6 A_Pain();
			Goto See;
		Pain.Kick:
			VILE H 4;
			VILE H 16 A_Pain();
			Goto See;
		Death:
			VILE H 10 A_Scream();
			VILE I 5;
			VILE J 5 A_NoBlocking();
			VILE K 5;
			VILE L 5 A_StartSound("BFALL");
			VILE M -1;
			Stop;
		Raise:
			VILE LKJ 5;
			Goto See;
	}
}