class StarSpawnCommon : StarSpawnBoss
{
	Default
	{
		//$Category StarSpawn

		Health 800;
		Speed 15;
		Radius 26;
		Height 48;
		Scale 0.5;
		Mass 250;

		Alpha 0.8;

		+MISSILEEVENMORE
		+Boss
	}

	States
	{
		Spawn:
			DSM2 A 3 A_Look();
			DSM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM2 A 0 A_SpawnItemEx("CommonSSpawnShadow");
			DSM2 B 3 A_Look();
			DSM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM2 A 0 A_SpawnItemEx("CommonSSpawnShadow");
			DSM2 C 3 A_Look();
			DSM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM2 A 0 A_SpawnItemEx("CommonSSpawnShadow");
			DSM2 D 3 A_Look();
			DSM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM2 A 0 A_SpawnItemEx("CommonSSpawnShadow");
			DSM2 C 3 A_Look();
			DSM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM2 A 0 A_SpawnItemEx("CommonSSpawnShadow");
			DSM2 B 3 A_Look();
			DSM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM2 A 0 A_SpawnItemEx("CommonSSpawnShadow");
			Loop;
		See:
			DTM2 ABCD 4 A_StartSound("BGAttck", CHAN_BODY, CHANF_OVERLAP);
			DEM2 EFGHGF 2; 
			DEM2 ABCDCB 2;    
			DTM2 DCBA 4;
			Goto Chase;
		Chase:
			DSM2 A 3 A_Chase(); 
			DSM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM2 A 0 A_SpawnItemEx("CommonSSpawnShadow");
			DSM2 B 3 A_Chase(); 
			DSM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM2 A 0 A_SpawnItemEx("CommonSSpawnShadow");
			DSM2 C 3 A_Chase(); 
			DSM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM2 A 0 A_SpawnItemEx("CommonSSpawnShadow");
			DSM2 D 3 A_Chase(); 
			DSM2 B 0 A_StartSound("BGACT", CHAN_BODY, CHANF_OVERLAP);
			DSM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM2 A 0 A_SpawnItemEx("CommonSSpawnShadow");
			DSM2 C 3 A_Chase(); 
			DSM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM2 A 0 A_SpawnItemEx("CommonSSpawnShadow");
			DSM2 B 3 A_Chase(); 
			DSM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM2 A 0 A_SpawnItemEx("CommonSSpawnShadow");
			Loop;
		Melee:
			DTM2 ABCD 4 A_FaceTarget();
			DEM2 B 0 A_StartSound("BGAttck", CHAN_BODY, CHANF_OVERLAP);
			DEM2 EFGHGF 2 A_CustomMeleeattack(10);
			DTM2 DCBA 4;
			Goto Chase;
		Missile:
			DTM2 ABCD 4;
			DEM2 ABCDCB 2 A_StartSound("BGAttck", CHAN_BODY, CHANF_OVERLAP);  
			DEM2 B 0
			{
				A_FaceTarget();
				A_SpawnProjectile("DemonicStar", 24, 0, 0, CMF_AIMDIRECTION);
				A_SpawnProjectile("DemonicStar", 24, 0, -8, CMF_AIMDIRECTION);
			}
			DEM2 EFGHGF 2 A_SpawnProjectile("DemonicStar", 24, 0, 8, CMF_AIMDIRECTION);
			DTM2 DCBA 4;
			Goto Chase; 
		Death:
			DEM2 I 4
			{
				NashGoreGibs.SpawnGibs(self);
			}
			DEM2 AAA 0 A_SpawnItemEx("BlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DEM2 J 5 A_Scream();
			DEM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DEM2 K 5 A_SetTranslucent(0.4, 0);
			DEM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DEM2 L 5;
			DEM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DEM2 I 5 ;  
			DEM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DEM2 J 5;  
			DEM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DEM2 K 5 A_SetTranslucent(0.3, 0);
			DEM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DEM2 L 5; 
			DEM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DEM2 K 5 A_SetTranslucent(0.2, 0);
			DEM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DEM2 L 5 ;
			DEM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DEM2 J 5 ;
			TNT1 A 0
			{
				for (int i = 0; i < 32; i++)	
					A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-10, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			}
			DEM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DEM2 I 5 A_SetTranslucent(0.1, 0);
			DEM2 AAA 0 A_SpawnItemEx("BigBlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-80, 10), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			Stop;
   	}
}

class CommonSSpawnShadow : BossSSpawnShadow
{
    Default
	{
		Scale 0.4;
	}

	states
	{
		Spawn:
			DSM2 ABCDCBABCD 10 A_FadeOut(0.06);
			Stop;
	}
}