class StarSpawnMini : StarSpawnBoss
{
	Default
	{
		//$Category StarSpawn
		
		Health 100;
		Damage 2;
		Speed 20;
		Radius 25;
		Height 62;
		Mass 50;
		SCALE 1;

		MeleeRange 60;
		MaxTargetRange 256;

		PainChance 256;

		ActiveSound "SMOLACT";
		DeathSound "SMOLDIE";
		AttackSound "SMOLATT";
		PainSound "SMOLPAN";
		SeeSound "SMOLSEE";

		-NOPAIN
		+Boss
	}

	States
	{
		Spawn:
		    
			DSM3 AAA 0 A_SpawnItemEx("BlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-32, 0), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM3 A 0 A_SpawnItemEx("MiniSSpawnShadow");
			DSM3 A 3 A_Look(); 
			DSM3 AAA 0 A_SpawnItemEx("BlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-32, 0), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM3 A 0 A_SpawnItemEx("MiniSSpawnShadow");
			DSM3 B 3 A_Look(); 
			DSM3 AAA 0 A_SpawnItemEx("BlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-32, 0), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM3 A 0 A_SpawnItemEx("MiniSSpawnShadow");
			DSM3 C 3 A_Look();
			DSM3 AAA 0 A_SpawnItemEx("BlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-32, 0), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM3 A 0 A_SpawnItemEx("MiniSSpawnShadow");
			DSM3 D 3 A_Look(); 
			DSM3 AAA 0 A_SpawnItemEx("BlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-32, 0), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM3 A 0 A_SpawnItemEx("MiniSSpawnShadow");
			Loop;
		Chase:
		Missile:
		See:
			DSM3 AAA 0 A_SpawnItemEx("BlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-32, 0), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM3 A 0 A_SpawnItemEx("MiniSSpawnShadow");
			DSM3 A 3 A_Chase();
			DSM3 AAA 0 A_SpawnItemEx("BlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-32, 0), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM3 A 0 A_SpawnItemEx("MiniSSpawnShadow");
			DSM3 B 3 A_Chase();
			DSM3 AAA 0 A_SpawnItemEx("BlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-32, 0), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM3 A 0 A_SpawnItemEx("MiniSSpawnShadow");
			DSM3 C 3 A_Chase();
			DSM3 AAA 0 A_SpawnItemEx("BlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-32, 0), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM3 A 0 A_SpawnItemEx("MiniSSpawnShadow");
			DSM3 D 3 A_Chase();
			DSM3 AAA 0 A_SpawnItemEx("BlotSMOKE", -4, Random[FX](-10, 10), Random[FX](-32, 0), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			DSM3 A 0 A_SpawnItemEx("MiniSSpawnShadow");
			Loop;
		Melee:
			DTM3 ABCD 2 A_FaceTarget();
			DEM3 AAA 0 A_StartSound("SMOLATT", CHAN_BODY, CHANF_OVERLAP);
			DEM3 EBED 4 A_CustomMeleeAttack(1);
			DTM3 DCBA 2;
			Goto See;
		Pain:
			DTM3 E 2 
			{
			    A_StartSound("SMOLPAN", CHAN_BODY, CHANF_OVERLAP);
				A_Chase(null, null);
				bNOPAIN = true;
				speed *= 2;
			}
			DSM3 A 0 A_SpawnItemEx("MiniSSpawnShadow");
			DEM3 EBED 4
			{
			    NashGoreGibs.SpawnGibs(self);
				A_Chase(null, null);
				
			}
			DSM3 A 0 A_SpawnItemEx("MiniSSpawnShadow");
			DTM3 E 2
			{
				A_Chase(null, null);
				bNOPAIN = false;
				speed *= 0.5;
			}
			Goto See;
		Death:
			DSM3 A 0 A_SpawnItemEx("MiniSSpawnShadow");
			DSM3 A 0 A_Scream();
			
			TNT1 A 1
			{
				NashGoreGibs.SpawnGibs(self);

				for (int i = 0; i < 16; i++)
					A_SpawnItemEx("BlotSmoke", -4, Random[FX](-10, 10), Random[FX](-32, 0), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			}
			TNT1 A 1
			{
			    NashGoreGibs.SpawnGibs(self);
				for (int i = 0; i < 8; i++)
					A_SpawnItemEx("BlotSmoke", -4, Random[FX](-10, 10), Random[FX](-32, 0), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			}
			TNT1 A 1
			{
			    NashGoreGibs.SpawnGibs(self);
				for (int i = 0; i < 4; i++)
					A_SpawnItemEx("BlotSmoke", -4, Random[FX](-10, 10), Random[FX](-32, 0), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			}
			TNT1 A 1
			{
			    NashGoreGibs.SpawnGibs(self);
				for (int i = 0; i < 2; i++)
					A_SpawnItemEx("BlotSmoke", -4, Random[FX](-10, 10), Random[FX](-32, 0), 0, Random[FX](-1, 1), Random[FX](-1, 1));
			}
			Stop;
	}
}

class MiniSSpawnShadow : BossSSpawnShadow
{
    Default
	{
		Scale 0.9;
	}

	States
	{
		Spawn:
			DSM3 ABCDCBABCD 10 A_FadeOut(0.1);
			Stop;
	}
}