class TFChicken : Actor
{
    Default
    {
        //$Category Critters

        Monster;
        Health 60;
        Radius 10;
        Height 16;
        Speed 2;
        Gravity 0.75;

        PainChance 255;
        SeeSound "sight";
        ActiveSound "sight";

        -COUNTKILL
        
    }

    States
    {
        Spawn:
            CHIC A 0;
        See:
            CHIC AAAABBBBCCCCDDDD 2 A_Wander;
            CHIC A 0 A_Chase;
            Loop;
        Pain:
            CHIC A 5
            {
                A_StartSound("ChickenHurt/Hurt");
                vel.z += 6;
                speed = 6;
                bFrightened = true;

                for (int i = 0; i < Random[FX](5, 8); i++)
                    A_SpawnItemEx("TFFeather", Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-1, 1), Random[FX](-1, 1), Random[FX](0, 1), 0, SXF_NOCHECKPOSITION);
            }
            Goto RunAway;
        RunAway:
            CHIC ABCD 3 A_Chase;
            CHIC ABCD 3
            {
                A_Chase();
                A_SpawnItemEx("TFFeather", Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-1, 1), Random[FX](-1, 1), Random[FX](0, 1), 0, SXF_NOCHECKPOSITION);
            }
            CHIC ABCD 3 A_Chase;
            CHIC ABCD 3
            {
                A_Chase();
                A_SpawnItemEx("TFFeather", Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-1, 1), Random[FX](-1, 1), Random[FX](0, 1), 0, SXF_NOCHECKPOSITION);
            }
            CHIC ABCD 3 A_Chase;
            CHIC ABCD 3
            {
                A_Chase();
                A_SpawnItemEx("TFFeather", Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-1, 1), Random[FX](-1, 1), Random[FX](0, 1), 0, SXF_NOCHECKPOSITION);
            }
            CHIC ABCD 3 A_Chase;
            CHIC ABCD 3
            {
                A_Chase();
                A_SpawnItemEx("TFFeather", Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-1, 1), Random[FX](-1, 1), Random[FX](0, 1), 0, SXF_NOCHECKPOSITION);
            }
            CHIC ABCD 3 A_Chase;
            CHIC ABCD 3
            {
                A_Chase();
                A_SpawnItemEx("TFFeather", Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-1, 1), Random[FX](-1, 1), Random[FX](0, 1), 0, SXF_NOCHECKPOSITION);
            }
            CHIC ABCD 3 A_Chase;
            CHIC ABCD 3
            {
                A_Chase();
                A_SpawnItemEx("TFFeather", Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-1, 1), Random[FX](-1, 1), Random[FX](0, 1), 0, SXF_NOCHECKPOSITION);
            }
            CHIC ABCD 3 A_Chase;
            CHIC ABCD 3
            {
                A_Chase();
                A_SpawnItemEx("TFFeather", Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-1, 1), Random[FX](-1, 1), Random[FX](0, 1), 0, SXF_NOCHECKPOSITION);
            }
            CHIC ABCD 3 A_Chase;
            CHIC ABCD 3
            {
                A_Chase();
                A_SpawnItemEx("TFFeather", Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-1, 1), Random[FX](-1, 1), Random[FX](0, 1), 0, SXF_NOCHECKPOSITION);
            }
            CHIC ABCD 3 A_Chase;
            CHIC ABCD 3
            {
                A_Chase();
                A_SpawnItemEx("TFFeather", Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-1, 1), Random[FX](-1, 1), Random[FX](0, 1), 0, SXF_NOCHECKPOSITION);
            }
            CHIC ABCD 3 A_Chase;
            CHIC ABCD 3
            {
                A_Chase();
                A_SpawnItemEx("TFFeather", Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-5, 5), Random[FX](-1, 1), Random[FX](-1, 1), Random[FX](0, 1), 0, SXF_NOCHECKPOSITION);
            }
            CHIC A 0
            {
                speed = default.speed;
                bFrightened = false;
            }
            Goto See;
        Death:
            TNT1 A 0 A_StartSound("ChickenDeath/Death");
            CHDE AAAABBBBCCCCDDDDEEEEFFFFGGGGH 1;
            CHDE H -1;
            Stop;
    }
}

class TFFeather : FXBase_Gravity
{
    Default
    {
        Gravity 0.01;
    }

    States
    {
        Spawn:
            FEAT AABBCCDDEEDDCCBB 2 CheckImpact();
            Loop;
        Death:
            TNT1 A 1;
            Stop;
    }
}