class SmallRat : Actor
{
	Default
	{
		//$Category "NPC/Parasites"
		
		Species "Enemy";
		
		Health 15;
		Radius 8;
		Height 14;
		Speed 7;
		PainChance 64;

		SeeSound "RatSpawn/Sight";

		Obituary "%o was nibbled by a Small Rat.";
		
		+FLOORCLIP
		+CANPASS
		+NOINFIGHTING
		+DONTHARMCLASS
		+QUICKTORETALIATE
		+SHOOTABLE
		+FRIGHTENED
		-ISMONSTER
	}

	override bool CanCollideWith(Actor other, bool passive)
	{
		if (other.bIsMonster)
		{
			return false;
		}
		
		if (other.bOnMobJ)
		{
			A_NoBlocking();
			SetStateLabel("Death");
		}

		return super.CanCollideWith(other, passive);
	}

	States
	{
		Spawn:
			RATA AAAABBBBCCCC 1 A_Wander();
			Loop;
		XDeath:
		Death:
			RATD ABC 5;
			Stop;
	}
}