class Squirrel : Actor
{
    Default
    {
        //$Category Critters

        Monster;
        Health 30;
        Radius 8;
        Height 14;
        Speed 4;

        PainChance 255;
        ActiveSound "SquirrelSpawn/Sight";

        -COUNTKILL
        -ACTIVATEMCROSS
    }

    States
    {
        Spawn:
            SQUR A 0;
            Goto See;
        See:
            TNT1 A 0 A_Chase;
            SQUR AAAABBBBCCCC 1 A_Wander;
            TNT1 A 0
            {
                if (!Random[Jump](0, 5))
                    SetStateLabel("Jump");
            }
            Loop;
        Jump:
            SQUR B 1
            {
                A_Wander();
                Vel3DFromAngle(8, angle, pitch - 35);
            }
            Goto See;
        Pain:
            SQUR A 8 A_StartSound("SquirrelHit/Pain");
            Goto See;
        Death:
            TNT1 A 0 A_StartSound("SquirrelDead/Dead");
            SQUD AAAABBBBCCCC 1;
            Stop;
    }
}